# SwishResults::getParsedWords

(PECL swish >= 0.1.0)

SwishResults::getParsedWords — Get an array of parsed words

### Description

SwishResults::getParsedWords ( string `$index_name` ) : array
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### Parameters

`indexi_name`

  The name of the index used to initialize Swish object.

### Return Values

An array of parsed words with stopwords removed. The list of parsed words may be useful for highlighting search terms in the results.

### Examples

Example #1 Basic SwishResults::getParsedWords() example

`<?php
try {
$swish = new Swish("index.swish-e");
$results = $swish->query("'some characters' and numbers");
var_dump($results->getParsedWords("index.swish-e"));
var_dump($results->indexes[0]['parsed_words']); //same result in a different way
} catch (SwishException $e) {
echo "Error: ", $e->getMessage(), "\n";
}
?>`

The above example will output something similar to:

    array(4) {
      [0]=>
      string(4) "some"
      [1]=>
      string(10) "characters"
      [2]=>
      string(3) "and"
      [3]=>
      string(7) "numbers"
    }
    array(4) {
      [0]=>
      string(4) "some"
      [1]=>
      string(10) "characters"
      [2]=>
      string(3) "and"
      [3]=>
      string(7) "numbers"
    }